# Class PRS_SolutionElement
extends PRS_ExchangeElement

PRS_SolutionElement is an abstract base class for non-Category objects that are associated with a Solution. This includes: PRS_Reference PRS_Problem PRS_Resolution PRS_SolutionElement provides a common reference for these objects to be associated with PRS_Expression objects through the SolutionExpression association. In addition, all of the derived objects may be retrieved with a single query for the common super-class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_SolutionElement

## Direct Known Subclasses

PRS_Problem
PRS_Reference
PRS_Resolution

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

PRS_SolutionElement is an abstract base class for non-Category objects that are associated with a Solution. This includes: PRS_Reference PRS_Problem PRS_Resolution PRS_SolutionElement provides a common reference for these objects to be associated with PRS_Expression objects through the SolutionExpression association. In addition, all of the derived objects may be retrieved with a single query for the common super-class.

UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods